Eclipse Installer failed


(Holger Eisold) #1
  • Platform information:
    • OS: Win10 64bit
    • Java Runtime Environment: JRE 1.8 / JDK 1.8
  • Issue of the topic: Eclipse installer error

I tried to setup a new openhab addon dev folder… and the eclipse installer stopp with the following error message:

Cannot complete the request.  Generating details.
ERROR: org.eclipse.pde.core code=0 Problems occurred while resolving the target contents
  at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
  at org.eclipse.oomph.util.pde.TargetPlatformUtil.activateTargetDefinition(TargetPlatformUtil.java:151)
  at org.eclipse.oomph.setup.pde.impl.TargetPlatformTaskImpl.perform(TargetPlatformTaskImpl.java:293)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3332)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:3275)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:4502)
  at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2289)
  at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2316)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:4496)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:4494)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3266)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3241)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3141)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:575)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:701)
  at org.eclipse.core.internal.jobs.Worker.run(Worker.java:60)
  ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the install because one or more required items could not be found.
    ERROR: org.eclipse.equinox.p2.director code=0 Software being installed: openHAB Core Components 2.4.0.201808200804 (org.openhab.feature.p2.feature.group 2.4.0.201808200804)
    ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: openHAB 1.x Compatibility Layer 2.4.0.201808200804 (org.openhab.core.compat1x 2.4.0.201808200804) requires 'java.package; org.eclipse.smarthome.core.autoupdate 0.0.0' but it could not be found
    ERROR: org.eclipse.equinox.p2.director code=1 Cannot satisfy dependency:
      ERROR: org.eclipse.equinox.p2.director code=0 From: openHAB Core Components 2.4.0.201808200804 (org.openhab.feature.p2.feature.group 2.4.0.201808200804)
      ERROR: org.eclipse.equinox.p2.director code=0 To: org.eclipse.equinox.p2.iu; org.openhab.core.compat1x [2.4.0.201808200804,2.4.0.201808200804]

i tried different eclipse installer versions and JDK/JRE version… but i cant get it to work…

I also tried different development packages…

openhab Dev
openhab addons
Eclipse Smarthome extensions

all of them end with the error…

am I the only one with this? anyone know a fix how to solve this issue?

Thanks

eclipse%20installer2 eclipse%20installer1


(Holger Eisold) #2

SOLVED…

maybe it is related to the latest merge: https://github.com/openhab/openhab-distro/commit/4fc07e93778d15db0a1f76c449abb12b6237fea0

for this PR https://github.com/openhab/openhab-distro/pull/757


(Greg) #3
  • Platform information:
    • OS: Win10 Pro 64bit
    • Java Runtime Environment: JRE 1.8 / JDK 1.8
  • Issue of the topic: Eclipse installer error

I tried to setup a development environment today, but I got a similar error. The setup fails when trying to install Eclipse Smarthome Test Bundles

  ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the install because one or more required items could not be found.
    ERROR: org.eclipse.equinox.p2.director code=0 Software being installed: Eclipse SmartHome Test Bundles 0.10.0.201810121100 (org.eclipse.smarthome.feature.test.feature.group 0.10.0.201810121100)
    ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: Eclipse SmartHome Test 0.10.0.201810121100 (org.eclipse.smarthome.test 0.10.0.201810121100) requires 'java.package; org.eclipse.jetty.http [9.3.15,9.4.0)' but it could not be found
    ERROR: org.eclipse.equinox.p2.director code=1 Cannot satisfy dependency:
      ERROR: org.eclipse.equinox.p2.director code=0 From: Eclipse SmartHome Test Bundles 0.10.0.201810121100 (org.eclipse.smarthome.feature.test.feature.group 0.10.0.201810121100)
      ERROR: org.eclipse.equinox.p2.director code=0 To: org.eclipse.equinox.p2.iu; org.eclipse.smarthome.test [0.10.0.201810121100,0.10.0.201810121100]

Is this due to a PR as well?


[New Binding] Enphase Envoy Solar System gateway
(Sebastien Vermeille) #4

same problem here…

EDIT: it works when I select PHOTON as a specific version of eclipse instead of eclipse master (selected by default)